Bug 219751 - Review Request: python-TurboMail - Multi-threaded mail queue manager for TurboGears applications.
Review Request: python-TurboMail - Multi-threaded mail queue manager for Turb...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: José Matos
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-15 00:32 EST by Luke Macken
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-16 15:43:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2006-12-15 00:32:32 EST
Spec URL: http://people.redhat.com/lmacken/SPECS/python-TurboMail.spec
SRPM URL: http://people.redhat.com/lmacken/SRPMS/python-TurboMail-2.0.3-1.src.rpm
Description:
TurboMail is a TurboGears extension, meaning that it starts up and shuts down
alongside any TurboGears applications you write, in the same way that visit
tracking and identity do. TurboMail uses built-in Python modules for SMTP
communication and MIME e-mail creation, but greatly simplifies these tasks by
performing the grunt-work for you. Additionally, TurboMail is multi-threaded,
allowing for single or batch enqueueing and background delivery of mail.
Comment 1 José Matos 2006-12-15 04:26:38 EST
The spec looks really clean, just one small comment (nitpicking :-):

If the package is noarch why do you need to set the CFLAGS? :-)

No need to change the spec because of this detail you do it when importing.

The full review will follow soon.
Comment 2 José Matos 2006-12-15 18:11:12 EST
Building fails in mock because the spec file is missing 
BuildRequires:  python-setuptools
Comment 3 José Matos 2006-12-15 18:16:05 EST
OK, better yet, make that
BuildRequires:   TurboGears

since the installation requires it to be present.
Comment 4 José Matos 2006-12-15 18:53:09 EST
Assuming that my previous suggestion is followed this is the revision:

----------------------------------------
Review for release 1:
* RPM name is OK
* Source TurboMail-2.0.3.tar.gz is the same as upstream
* Builds fine in mock
* rpmlint looks OK
* File list looks OK
* License is correct (MIT) and OK for Fedora
* Spec is clear and well written

Needs work:
* The package should contain the text of the license
  (wiki: Packaging/ReviewGuidelines)


Notes:
  superfuluous CFLAGS when building.
  BR TurboGears

If you merge these two changes the package is APPROVED. You can do the changes 
when importing.

After the building of this package do not forget to close this bug as 
NEXTRELEASE.
Comment 5 Luke Macken 2006-12-16 15:43:02 EST
http://people.redhat.com/lmacken/SPECS/python-TurboMail.spec
http://people.redhat.com/lmacken/SRPMS/python-TurboMail-2.0.3-2.src.rpm

* Fri Dec 15 2006 Luke Macken <lmacken@redhat.com> 2.0.3-2
- Add TurboGears to BuildRequires
- Remove superfluous CFLAGS
- Add LICENSE.txt

Imported into CVS, added to owners.list, requested FC-6 CVS branch, tagged and
built for devel.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.